import java.security.*;
import java.io.*;
import java.net.*;

public class Client {
    private static String username;
    private static String server;
    private static int port;

    public static void main(String[] args) {
	if (args.length != 3) {
	    System.out.println("Usage: java Client <username> <server> <port#>");
	    System.exit(0);
	} 
	try {
	    port = Integer.parseInt(args[2]);
	} catch (NumberFormatException e) {
	    System.out.println("Invalid port number");
	    System.exit(0);
	}
	username = args[0];
	server  = args[1]; 

	try {
	    Socket s = new Socket(server, port);	    
	    ClientSession session = new ClientSession(s, username);
	    if (session.authenticateClient()) {
		while (session.doTransaction()) {
		    // loop
		}
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	    System.exit(1);
	}
    }
}
