import java.security.*;
import java.io.*;
import java.net.*;

public class Server {
    
    private static int port = 0;

    public static void main(String[] args) {
        if (args.length != 1) {
            System.out.println("Usage: java Server <port#>");
	    System.exit(0);
        }
	try {
	    port = Integer.parseInt(args[0]);
	} catch (NumberFormatException e) {
	    System.out.println("Invalid port number");
	    System.exit(0);
	}
	try {
	    ServerSocket serverS = new ServerSocket(port);
	    System.out.println("----------------------------------------");
	    System.out.println("  Echo server is running on port " + port);
	    System.out.println("----------------------------------------");
	    while (true) {
		Socket s = serverS.accept();
		ServerSession session = new ServerSession(s);
		new Thread(session).start();
	    }
	} catch (IOException e) {
	    e.printStackTrace();
	    System.exit(1);
	}
    }
}
